Update cloud tenant
Update cloud tenant. Available for Operations account with platform account management permissions. Support partial update pattern (e.g. name, status). Returns the updated cloud tenant object.
Path parameters
idstringRequired
Cloud tenant identifier.
Body
idstringOptional
namestringOptional
revisioninteger · int32Optional
statusstringOptional
typestringOptional
Responses
200
OK
application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
statusstringOptional
typestringOptional
400
Bad Request
application/json
404
Not Found
application/json
put/public/v1/accounts/cloud-tenants/{id}
PUT /public/v1/accounts/cloud-tenants/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 56
{
"name": "AdAstraflex Germany Updated",
"status": "Active"
}{
"id": "CLT-3206-7146",
"revision": 2,
"name": "AdAstraflex Germany Updated",
"status": "Active",
"type": "CspAzure",
"account": {
"id": "ACC-2253-2884",
"name": "AdAstrafleX"
},
"externalIds": {
"pyraTenantId": "c6469e97-302a-408a-8589-2122a0bb725d",
"cloudConsumptionId": "012b2a18-1df0-473f-8759-c3c019b54486",
"providerId": "7270638c-ca21-4500-ac82-25dca634566a"
},
"audit": {
"created": {
"at": "2024-02-01T09:12:23+00:00",
"by": {
"id": "TKN-9299-7556",
"name": "Migration token"
}
},
"updated": {
"at": "2024-02-02T10:00:00+00:00",
"by": {
"id": "TKN-9299-7556",
"name": "Migration token"
}
}
}
}Last updated
Was this helpful?